Darkwind - Viewing Topic: Oct 2010 - Linux client
Welcome Guest! » Darkwind » Operating Systems » Linux » Oct 2010 - Linux client

Pages: << prev 1, 2 next >> Reply to Topic Create New Topic Create New Poll
Oct 2010 - Linux client
*sam*
The Salthill Sluggerz
Darkwind Guru

Renegade

Avatar

Member Level

Group: Lead Developer
Posts: 15,477
Joined: Jan 19, 2006

Send an email to *sam* Send a personal messsage to *sam* Reply with a quote from this post Go to the top of the page

I managed to get a build of the Linux client working.
It should automatically patch if you run the patcher (darkwindLobby.jar)

The engine file itself is here:
http://www.dark-wind.com/gameEngine/darkwind.bin.zip

It seems fine under my Debian installation, but I'm having trouble running it under a newer Ubuntu installation due to versions of GCC that it's linking against.. version 3.3 was required for compiling, due to problems compiling legacy code using 4.X.. Ubuntu however comes with 4.X installed..
.........................
marshal vet deathrce1 paintladder combat1 wv ped1 cont slay2013

Posted Oct 18, 2010, 7:09 pm
lordbam
Nephilim Rising
Darkwind Guru

Anarchists Faction

Member Level

Group: Members
Posts: 1,410
Joined: Dec 9, 2007

Send an email to lordbam Send an ICQ messsage to lordbam Send a personal messsage to lordbam Reply with a quote from this post Go to the top of the page

Both my debian lenny and my misses her Ubuntu 10.8 error out on the following code:

WARNING: Application is using X11_KeyToUnicode().

if you google that error the first hit is something torque related... Maybe you could check it out.

on my misses her computer i had to install a library: libstdc++.so.5
.........................
vet wv zom3,3,0

Posted Oct 18, 2010, 9:12 pm Last edited Oct 18, 2010, 9:12 pm by lordbam
*sam*
The Salthill Sluggerz
Darkwind Guru

Renegade

Avatar

Member Level

Group: Lead Developer
Posts: 15,477
Joined: Jan 19, 2006

Send an email to *sam* Send a personal messsage to *sam* Reply with a quote from this post Go to the top of the page

lordbam said:
Both my debian lenny and my misses her Ubuntu 10.8 error out on the following code:

WARNING: Application is using X11_KeyToUnicode().

if you google that error the first hit is something torque related... Maybe you could check it out.


Thanks for that, I'll have a go at making those suggested Torque changes.

lordbam said:

on my misses her computer i had to install a library: libstdc++.so.5


I tried to statically link this, because I had the same problem on Ubuntu.. but it didn't work.
.........................
marshal vet deathrce1 paintladder combat1 wv ped1 cont slay2013

Posted Oct 19, 2010, 8:25 am
lordbam
Nephilim Rising
Darkwind Guru

Anarchists Faction

Member Level

Group: Members
Posts: 1,410
Joined: Dec 9, 2007

Send an email to lordbam Send an ICQ messsage to lordbam Send a personal messsage to lordbam Reply with a quote from this post Go to the top of the page

*sam* said:

Library: libstdc++.so.5
I tried to statically link this, because I had the same problem on Ubuntu.. but it didn't work.


I read that if you are using a 64 bit os you have to install the 32 bit version.....
I'll  look it up tonight how to do that.
.........................
vet wv zom3,3,0

Posted Oct 19, 2010, 9:51 am
*sam*
The Salthill Sluggerz
Darkwind Guru

Renegade

Avatar

Member Level

Group: Lead Developer
Posts: 15,477
Joined: Jan 19, 2006

Send an email to *sam* Send a personal messsage to *sam* Reply with a quote from this post Go to the top of the page

I made the Torque changes and have re-uploaded the file:
http://www.dark-wind.com/gameEngine/darkwind.bin.zip

I also had some more unsuccessful attempts to get a statically linked c++ library working. It seemed to insist *everything* was statically linked in that case, which is fine, but when I linked in the ogg and vorbis .a files, the .bin file was created ok but wouldn't run.

I dunno, these Linux installations are all too varied, aren't they...

.........................
marshal vet deathrce1 paintladder combat1 wv ped1 cont slay2013

Posted Oct 19, 2010, 10:08 am Last edited Oct 19, 2010, 10:11 am by *sam*
lordbam
Nephilim Rising
Darkwind Guru

Anarchists Faction

Member Level

Group: Members
Posts: 1,410
Joined: Dec 9, 2007

Send an email to lordbam Send an ICQ messsage to lordbam Send a personal messsage to lordbam Reply with a quote from this post Go to the top of the page

Both ubuntu and linux:

bassie@bassie-laptop:~/Downloads$ ./darkwind.bin
Error: Unable to load any specified mods
% Exiting

and again on the torque forum:

and a google search gives a couple of solutions...
google

it even links to the dark-wind website
.........................
vet wv zom3,3,0

Posted Oct 19, 2010, 5:38 pm Last edited Oct 19, 2010, 5:39 pm by lordbam
zephar
Crimson Riders
Pedestrian

Mutants Faction

Member Level

Group: Members
Posts: 16
Joined: Nov 7, 2010

Send an email to zephar Send a personal messsage to zephar Reply with a quote from this post Go to the top of the page

lordbam said:
Both ubuntu and linux:

bassie@bassie-laptop:~/Downloads$ ./darkwind.bin
Error: Unable to load any specified mods
% Exiting

and again on the torque forum:

and a google search gives a couple of solutions...
google

it even links to the dark-wind website



yep, I get the same error. =(
.........................
vet wv

Posted Dec 31, 2010, 6:25 pm
*Burden*
Burdens Heavyweights
Darkwind Guru

Mutants Faction

Member Level

Group: Marshals
Posts: 1,008
Joined: Oct 4, 2009

Send an email to *Burden* Send a personal messsage to *Burden* Reply with a quote from this post Go to the top of the page

I have Linux, but I've been playing the Window's version of Darkwind by using Wine. It works just as good :)
.........................
wv vet zom marshal pvp2

Posted Dec 31, 2010, 9:02 pm
lordbam
Nephilim Rising
Darkwind Guru

Anarchists Faction

Member Level

Group: Members
Posts: 1,410
Joined: Dec 9, 2007

Send an email to lordbam Send an ICQ messsage to lordbam Send a personal messsage to lordbam Reply with a quote from this post Go to the top of the page

*Burden* said:
I have Linux, but I've been playing the Window's version of Darkwind by using Wine. It works just as good :)


I've been running it in wine (debian lenny)  for 3 years now and i have following problems:

Crashes downloading decals
Crashes downloading maps
Crashes downloading skins
Crashes downloading "scenes of evan"

Restarting fixes the it and shows the missing thingie

I also have crashes clicking the "Darkwind: Tactical" button.

i've created a winehq page: winehq and community feedback is always welcome.
.........................
vet wv zom3,3,0

Posted Dec 31, 2010, 10:28 pm Last edited Dec 31, 2010, 10:30 pm by lordbam
lordbam
Nephilim Rising
Darkwind Guru

Anarchists Faction

Member Level

Group: Members
Posts: 1,410
Joined: Dec 9, 2007

Send an email to lordbam Send an ICQ messsage to lordbam Send a personal messsage to lordbam Reply with a quote from this post Go to the top of the page

zephar said:
lordbam said:
Both ubuntu and linux:

bassie@bassie-laptop:~/Downloads$ ./darkwind.bin
Error: Unable to load any specified mods
% Exiting

and again on the torque forum:

and a google search gives a couple of solutions...
google

it even links to the dark-wind website



yep, I get the same error. =(


I made a how to here.
.........................
vet wv zom3,3,0

Posted Dec 31, 2010, 10:32 pm
Procyon
Weak Head Normal Forms
Autodueller

Renegade

Member Level

Group: Members
Posts: 384
Joined: May 31, 2009

Send an email to Procyon Send a personal messsage to Procyon Reply with a quote from this post Go to the top of the page

The unable to download mods error appears to only happen when not runnining the darkwind.bin in the root directory of a full darkwind install. I downloaded the macOS zip file, unzipped, copied the bin to the root directory of the unzipped install and ran it and it starts beautifully.

There are a few issues with keys though. Shift, cntrl, alt, mod4, capslock and f10-12 actually produce printable characters rather than serving as modifiers, so it appears that the keycode mapping is a bit wrong. I get a popup in lobby about openAL drivers (using pulsaaudio with an ALSA passthrough) so no sound for my I guess. I haven't actually played anything yet, as the script updater hasn't fired. Going to see if I can get that working now.

Arch Linux with Oracle jre6
.........................
vet wv pvp3

Posted Jan 14, 2011, 4:22 am
Procyon
Weak Head Normal Forms
Autodueller

Renegade

Member Level

Group: Members
Posts: 384
Joined: May 31, 2009

Send an email to Procyon Send a personal messsage to Procyon Reply with a quote from this post Go to the top of the page

Okay. Got a lobby update and was able to spectate events. Looking good there.

I seem to get a constant motion of the camera along some vectors which appear to be random if I am moving camera with mouse, or constant at about 5/4*pi radians parallel to the ground if I press left shift (whose output in the client in '0' which may be numeric keypad navigation triggering).

Biggest problem seems to be that the mouse will only go about 4/5th of the way across the screen to the right, so I cannot select any options to play with my settings. I tried editing darkwind/client/prefs.cs but that file appears to do nothing at all. If I could play with options I might find a better compatibility mode to run in. Does darkwind.bin take command line params, or is there a way to massage a prefs file?
.........................
vet wv pvp3

Posted Jan 14, 2011, 5:03 am
Procyon
Weak Head Normal Forms
Autodueller

Renegade

Member Level

Group: Members
Posts: 384
Joined: May 31, 2009

Send an email to Procyon Send a personal messsage to Procyon Reply with a quote from this post Go to the top of the page

Random vector is not random. It appears that if camera pitch is parallel to ground, then movement stops. If towards round, movement is backwards, and forward if towards sky.

Got java to window mode instead of full screen (not sure how) and so mouse problems aren't a problem anymore.
.........................
vet wv pvp3

Posted Jan 14, 2011, 5:50 am
Procyon
Weak Head Normal Forms
Autodueller

Renegade

Member Level

Group: Members
Posts: 384
Joined: May 31, 2009

Send an email to Procyon Send a personal messsage to Procyon Reply with a quote from this post Go to the top of the page

I got through a travel. Some weirdness near the town of firelight which I think was due to an extremely low framerate (intel integrated graphics on this thing and something about FL makes all my machines lag badly). Other than that and the fact that I cant change camera pitch without moving my position, it seems to work great.

Looks like it is keycodes and pitch bug that are the primary native linux client showstoppers. I'm going to use this client for a bit and see what else I dig up.
.........................
vet wv pvp3

Posted Jan 14, 2011, 6:44 am
Kurtis the Great
closed
Pedestrian

Renegade

Member Level

Group: Members
Posts: 19
Joined: Apr 10, 2012

Send an email to Kurtis the Great Send a personal messsage to Kurtis the Great Reply with a quote from this post Go to the top of the page

I bet if you put DW in the Ubuntu software center, you would get a LOT of new subscribers.
.........................
vet wv

Posted Jun 25, 2012, 6:36 pm
Jarkko Niemi
FireWolf
Sunday Driver

Renegade

Member Level

Group: Members
Posts: 79
Joined: Jul 8, 2012

Send an email to Jarkko Niemi Send a personal messsage to Jarkko Niemi Reply with a quote from this post Go to the top of the page

zephar said:
lordbam said:
Both ubuntu and linux:

bassie@bassie-laptop:~/Downloads$ ./darkwind.bin
Error: Unable to load any specified mods
% Exiting

and again on the torque forum:

and a google search gives a couple of solutions...
google

it even links to the dark-wind website



yep, I get the same error. =(


And same here, with Ubuntu 12.04 LTS 64-bit.
Got it working via WINE and Java installed under Wine and patch - more on Linux newbie thread.

And yes, it would be Good For Business (tm) to get the game to offical Ubuntu Software Center.
.........................
vet wv

*Posted Jul 9, 2012, 4:36 pm
Jarkko Niemi
FireWolf
Sunday Driver

Renegade

Member Level

Group: Members
Posts: 79
Joined: Jul 8, 2012

Send an email to Jarkko Niemi Send a personal messsage to Jarkko Niemi Reply with a quote from this post Go to the top of the page

After updates, I can't get the game working via WINE.

Ubuntu 12.10 64-bit gives Compiz errors.

Of course reports are sent to maintainer.
Maybe I have to test can I get it working natively.
.........................
vet wv

Posted Mar 29, 2013, 10:07 am
Jarkko Niemi
FireWolf
Sunday Driver

Renegade

Member Level

Group: Members
Posts: 79
Joined: Jul 8, 2012

Send an email to Jarkko Niemi Send a personal messsage to Jarkko Niemi Reply with a quote from this post Go to the top of the page

No luck with native support.

$ ./darkwind.bin
./darkwind.bin: error while loading shared libraries: libSDL-1.2.so.0: cannot open shared object file: No such file or directory

even when I have that installed:
$ sudo apt-get install libsdl1.2debian
libsdl1.2debian is already the newest version.

So I have to just wait and hope that WINE had some bug, and it gets fixed at some day. After my gangers are healed, then I check that vacation-mode here.
.........................
vet wv

Posted Mar 29, 2013, 10:29 am
Jarkko Niemi
FireWolf
Sunday Driver

Renegade

Member Level

Group: Members
Posts: 79
Joined: Jul 8, 2012

Send an email to Jarkko Niemi Send a personal messsage to Jarkko Niemi Reply with a quote from this post Go to the top of the page

I downloaded MacOSX version. Unzipped, feeded darkwindLobby.jar to Java.

Updater starts, and downloads almost 300 files.

I log in. Get first small splash screen. And then darkwindClient.exe just begins to run circles. nothing happens, exept it takes considerable amount of processor time - after waiting something to happen withing 15-20 minutes - I kill the process.

Looks like I can't really do anything more to get game working today.
Okay, maybe that virtuabox is last hope, lets see how bad deprivation symptoms I will get.
.........................
vet wv

Posted Mar 29, 2013, 2:53 pm Last edited Mar 29, 2013, 2:53 pm by Jarkko Niemi
Necrotech
Blood and Iron
Darkwind Guru

Mutants Faction

Avatar

Member Level

Group: Subscribers
Posts: 1,802
Joined: Jul 18, 2011

Send an email to Necrotech Send a personal messsage to Necrotech Reply with a quote from this post Go to the top of the page

Looks like no *nix on either side for you..sheesh
.........................
vet wv santa1 deathrceL1 pvp4 gwped raceL1 combatL1 paintladder pvp3 ped2 pvp5 semiprocombat circuit2 pvp1 pvp2 slay2013

Posted Mar 29, 2013, 3:29 pm
Reply to Topic Create New Topic Create New Poll E-mail me when replies are made to this topic View Printable
» Darkwind » Operating Systems » Linux » Oct 2010 - Linux client

0.2238 seconds - 30 queries - 0.92 load